Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrWeight Class Reference

A PangoAttrWeight C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrWeight:

List of all members.

## Public Member Functions

Constructors

- AttrWeight (Weight weight=WEIGHT_NORMAL)
    Construct a new font weight attribute.

Accessors

- Weight weight () const
    Returns the font weight.

Methods

- void set_weight (Weight weight)
    Sets the font weight.

## Detailed Description

A PangoAttrWeight C++ wrapper class.

AttrWeight wraps the weight attribute (ATTR_WEIGHT).

## Constructor & Destructor Documentation

Inti::Pango::AttrWeight::AttrWeight | ( | Weight | weight = WEIGHT_NORMAL | ) | `[explicit]`

  | Construct a new font weight attribute. Parameters:
  weight | The font weight.

## Member Function Documentation

void Inti::Pango::AttrWeight::set_weight | ( | Weight | weight | ) |

  | Sets the font weight. Parameters:
  weight | The new font weight.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer